# OneAll Social Login
Professionally developed and free Drupal module that allows your users to 
register and login to your Drupal website with their existing social network 
account (Twitter, Facebook, LinkedIn, Google ...)

Your existing users can furthermore link their regular account to one or more 
social networks or identity providers and can then use these social network 
accounts to login without having to remember another username/password 
combination.

SocialLogin helps increasing your user registration rate by simplifying the 
registration process and provides permission-based social data retrieved from 
the social network profiles.

SocialLogin integrates with your existing registration system so you and your 
users don't have to start from scratch.

Social Login is maintained by OneAll, a technology company offering a set of 
web-delivered tools and services for establishing and optimizing a site's 
connection with social networks.

Social network APIs are constantly changing and being updated. OneAll monitors 
these changes and automatically updates APIs, so you can be sure Social Login 
will always run smoothly and with the most up-to-date API calls.

The Social Login documentation is available at:
http://docs.oneall.com/plugins/guide/

We are devoted to creating a positive experience for our customers and always 
try to go above and beyond your expectations. Do not hesitate to contact us for 
questions about the Social Login Module, to give us your feedback or if you need 
any help with the integration of the extension in your Drupal Website.

## Social Login 3.X for Drupal 8.8 - 9.x
Social Login for Drupal allows your users to login and register with 40+ social networks. 
It increases your Drupal user registration rate by simplifying the registration process for 
new users and provides permission-based social data retrieved from the social network profiles.


## Installation guide
https://docs.oneall.com/plugins/guide/social-login-drupal/8/


## Official Drupal Module
https://www.drupal.org/project/social_login


## Supported Social Networks
* Amazon
* Apple
* Battle.net
* Blogger
* Discord
* Disqus
* Draugiem
* Dribbble
* Epic Games
* Facebook
* Foursquare
* Github.com
* Google
* Instagram
* Line
* LinkedIn
* LiveJournal
* Mail.ru
* Meetup
* Mixer
* Odnoklassniki
* OpenID
* Patreon
* PayPal
* Pinterest
* PixelPin
* Reddit
* Skyrock.com
* SoundCloud
* Spotify
* StackExchange
* Steam
* Strava
* Tumblr
* Twitch.tv
* Twitter
* Vimeo
* VKontakte
* Weibo
* Windows Live
* WordPress.com
* Xing
* Yahoo
* Yandex
* YouTube

## License
The **GNU General Public License** (GPL) is available at https://www.gnu.org/licenses/old-licenses/gpl-2.0.html.


**Fork us on Github!**
